MPI_Ssend(3)

NAME
MPI_Ssend - Standard synchronous send.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Ssend(void *buf, int count, MPI_Datatype datatype, int dest,
	int tag, MPI_Comm comm)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_SSEND(BUF, COUNT, DATATYPE, DEST, TAG, COMM, IERROR)
	<type>	BUF(*)
	INTEGER	COUNT, DATATYPE, DEST, TAG, COMM, IERROR

C++ Syntax
#include <mpi.h>
void Comm::Ssend(const void* buf, int count, const Datatype&
	datatype, int dest, int tag) const

INPUT PARAMETERS

buf Initial address of send buffer (choice).

count
    Number of elements in send buffer (nonnegative integer).

datatype
    Datatype of each send buffer element (handle).

dest
    Rank of destination (integer).

tag Message tag (integer).

comm
    Communicator (handle).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Ssend performs a synchronous-mode, blocking send. See the MPI-1 Standard for more detailed information about such sends.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.